Bug 961315 - SY quickstart jca-outbound-hornetq,jca-inbound-hornetq JBDS errors
SY quickstart jca-outbound-hornetq,jca-inbound-hornetq JBDS errors
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples, SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: ---
Assigned To: Brian Fitzpatrick
ppecka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 08:00 EDT by ppecka
Modified: 2014-11-19 01:46 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When you start the JBoss Developer Studio and import an existing maven project, the server generates jca-outbound-hornetq and jca-inbound-hornetq JBDS errors. There is no functional impact.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:25:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1654 Major Closed SY Editor validator erroneously reports errors for missing transformers 2014-06-16 19:51:59 EDT
JBoss Issue Tracker SWITCHYARD-1666 Major Closed SY quickstart jca-outbound-hornetq,jca-inbound-hornetq JBDS errors 2014-06-16 19:48:11 EDT

  None (edit)
Description ppecka 2013-05-09 08:00:52 EDT
JBDS errors

Description	Resource	Path	Location	Type
Required transformation missing: from="java:java.lang.String" to="java:org.switchyard.quickstarts.jca.inflow.Person".	switchyard.xml	/switchyard-quickstart-jca-inflow-hornetq/src/main/resources/META-INF	Unknown	SwitchYard
Required transformation missing: from="java:java.lang.String" to="java:org.switchyard.quickstarts.jca.inflow.Person".	switchyard.xml	/switchyard-quickstart-jca-inflow-hornetq/src/main/resources/META-INF	Unknown	SwitchYard
Required transformation missing: from="java:java.lang.String" to="java:org.switchyard.quickstarts.jca.inflow.Person".	switchyard.xml	/switchyard-quickstart-jca-inflow-hornetq/src/main/resources/META-INF	Unknown	SwitchYard
Required Capability Missing: The "Bean" capability should be configured on the project when using this type of implementation.	switchyard.xml	/switchyard-quickstart-jca-outbound-hornetq/src/main/resources/META-INF	Unknown	SwitchYard
Required Capability Missing: The "Bean" capability should be configured on the project when using this type of implementation.	switchyard.xml	/switchyard-quickstart-jca-inflow-hornetq/src/main/resources/META-INF	Unknown	SwitchYard
Comment 1 ppecka 2013-05-14 04:00:41 EDT
Description:
Warnings/Errors found in JBDS "Problems" View, right after quickstart is imported as maven project.

steps to reproduce:
1. Start JBDS
2. import existing maven project
3. Window / Show View / Problems
4. check for errors
Comment 2 JBoss JIRA Server 2013-08-22 18:22:46 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1666

Adds the bean component to the pom in both quickstarts. SWITCHYARD-1654 fixes the other validation issues.
Comment 3 JBoss JIRA Server 2013-08-23 14:30:14 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1654

pushed
Comment 4 JBoss JIRA Server 2013-08-27 10:27:45 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1666

pushed
Comment 8 ppecka 2013-12-17 20:29:50 EST
Verified on JBoss Red Hat JBoss Fuse Service Works 6.0.0.ER7-redhat-1


"Required Capability Missing:" is gone -> VERIFIED

Required Capability Missing: The "Bean" capability should be configured on the project when using this type of implementation.	switchyard.xml	/switchyard-quickstart-jca-outbound-hornetq/src/main/resources/META-INF	Unknown	SwitchYard
Required Capability Missing: The "Bean" capability should be configured on the project when using this type of implementation.	switchyard.xml	/switchyard-quickstart-jca-inflow-hornetq/src/main/resources/META-INF	Unknown	SwitchYard


following errors remains and by doc-text they do no harm

Description	Resource	Path	Location	Type
Required transformation missing: from="java:java.lang.String" to="java:org.switchyard.quickstarts.jca.inflow.Person".	switchyard.xml	/switchyard-quickstart-jca-inflow-hornetq/src/main/resources/META-INF	Unknown	SwitchYard
Required transformation missing: from="java:java.lang.String" to="java:org.switchyard.quickstarts.jca.inflow.Person".	switchyard.xml	/switchyard-quickstart-jca-inflow-hornetq/src/main/resources/META-INF	Unknown	SwitchYard
Required transformation missing: from="java:java.lang.String" to="java:org.switchyard.quickstarts.jca.inflow.Person".	switchyard.xml	/switchyard-quickstart-jca-inflow-hornetq/src/main/resources/META-INF	Unknown	SwitchYard
Comment 9 JBoss JIRA Server 2014-06-16 19:48:14 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1666 to Closed
Comment 10 JBoss JIRA Server 2014-06-16 19:52:03 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1654 to Closed

Note You need to log in before you can comment on or make changes to this bug.